Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9131

Department:  Affected Products: ADTF 3.3.2

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::SDK

Resolution: Known Problem FAQ Links:  

Description

Support Anfrage:

Hallo Leute,

ich wollte eine Auswahlliste der verfügbaren Interfaces erstellen. Hierfür bin ich den folgenden Weg gegangen:

adtf::ucom::ant::object_list&lt;adtf::ucom::IObject&gt; objectList;

    _runtime->GetObjects(objectList);

    for(adtf::ucom::ant::object_ptr&lt;adtf::ucom::ant::IObject&gt; obj : objectList)

{

        LOG_WARNING(adtf::util::cString::Format("Object %s ", HIER_SOLLTE_DER_INTERFACE_NAME_REIN)

;

 
}

 Problem ist nun, dass ich über IObject nicht GetOID oder so etwas aufrufen kann. Leider ist es mir auch nicht möglich die

unterstützten Interfaces über IObject* abzufragen.

Schön wäre eine Methode gewesen mit der man alle Interfaces von einem IObject abfragen kann ohne dass man irgendeinen

Interface-Namen kennt.

tResult GetInterfaces(std::list<adtf::util::cString) interfaceOIDs);

Oder gibt es hier einen anderen Weg den ich nur gerade nicht finde?

Lösung:

Ist bereits als Anforderung im Produktticket ACORE-9131 aufgenommen.

Ist zum aktuellen Zeitpunkt noch nicht umgesetzt.

History

#1 - 2018-11-15 08:46 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::SDK

- Customer set to VW

#2 - 2018-11-15 09:15 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9131

- Support Level changed from 2nd Level to 3rd Level

Hallo Timo,

das haben wir als Anforderung (ACORE-9131), muss "nur" noch umgesetzt werden.
#3 - 2018-11-16 09:32 - hidden

Gibt es denn eine Möglichkeit, dass auch ich auf die ACORE-* Tickets zugreifen kann? Vielleicht bekomme ich dann einen Überblick was noch alles

gemacht werden soll und muss nicht immer fragen.

Achja:

Vielleicht ist es ja eine Dumme Frage aber: Warum leitet ihr nicht IObject von IObjectInfo ab? Oder Ihr schafft eine ObjectBase-Klasse die von IObject

erbt und einen Member von IObjectInfo hat.

Naja. Ok. Es gibt hier viele Möglichkeiten sehe ich gerade :-)

#4 - 2018-11-16 09:36 - hidden

- Status changed from Customer Feedback Required to In Progress

@Matthias: Kannst du Timo bitte die Infos zukommen lassen?

#5 - 2018-11-16 11:17 - hidden

Hallo Timo,

um (dauerhaft) auf die Produkttickets zugreifen zu können benötigst Du einen Audi CIP Account.

Wie das geht ist hier beschrieben:

Anlegen eines neuen CIP-Accounts

Wie man einen neuen Account für die Audi CIP erstellen kann ist auf dieser Seite beschrieben: http://cip.web.audi.vwg/wiki/display/CPF

Bitte ggf. den Workaround für VW beachten:

Im Audi Serviceshop "CIP User Support" Antrag können momentan nicht alle Konzern Mitarbeiter ausgewählt werden. Dies wird erweitert.

Workaround: bitte für diese Nutzer via Email oder CIP-Task Ticket bei Raimund Köstler (raimund.koestler@audi.de) die Freischaltung für CIP

beantragen.

Mit vorhandenen Account:

Zum Anpassen der Rollen oder Rechte zum Zugriff für bestimmte Projekte bitte selbst einen neuen CIP-TASK erstellen (Template Rechtevergabe)

und wenn möglich den Projektverantwortlichen zuweisen.

Du benötigst:

cdorga_developer

applsup_developer

Bei Problemen einfach kurz melden.

Gruß

Matthias

#6 - 2018-11-16 14:04 - hidden

Update: CIP Account war bereits vorhanden.

CIP-Task mit Rechteanfrage für die Produkttickets (u.a ACORE usw.) wurde zusammen erstellt.

Bitte noch um Rückmeldung wenn wir dieses Support Ticket schließen können.

Danke.

#7 - 2018-11-16 14:30 - hidden

- File image001.png added

Das ticket kann geschlossen werden.

Mit freundlichen Grüßen

Dipl.-Ing.

Timo Steinwender

Senior Softwarearchitekt

#8 - 2018-11-21 15:58 - hidden

- Subject changed from Ausgabe aller verfügbaren Interfaces über _runtime->GetObjects(objectList) to Out of all available Interfaces by

_runtime->GetObjects(objectList)

- Description updated

- Status changed from In Progress to To Be Closed

#9 - 2018-12-04 13:57 - hidden

- Project changed from 20 to Public Support

- Status changed from To Be Closed to Closed
- Private changed from Yes to No
